
#import "BouncingCocosAppDelegate.h"
#import "Cocos2d.h"
@implementation BouncingCocosAppDelegate

@synthesize window;
- (void) applicationDidFinishLaunching:(UIApplication*)application
{
	// Init the window
	window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];

	// Set to the landscape mode
	[[Director sharedDirector] setLandscape: YES];
	
	// Attach the OpenGL view to a window
	[[Director sharedDirector] attachInView:window];

	// Create a sprite and load our image into it (substitute the image name with yours)
	Sprite *ballSprite = [Sprite spriteWithFile: @"ico2.png"];
	// I am scaling my image because it's too large
	ballSprite.scale=0.1;
	[ballSprite setPosition: cpv(0, 0)];
		
	// The scripted animation call is here.
	// It's using JumpTo animation.
	[ballSprite runAction: 
		[JumpTo actionWithDuration:4 
					position:cpv(window.bounds.size.height, 0) 
					height:100 
					jumps:4] 
		];
		
	ColorLayer* layer = [ColorLayer layerWithColor: 0xffff00ff];
	[layer addChild: ballSprite z:0 tag:1];
	
	// Create a Scene object
	Scene *scene = [Scene node];
	// Add the Layer into Scene
	[scene addChild: layer z:-1];
	// Make the Scene active
	[[Director sharedDirector] runWithScene: scene];
	
	[window makeKeyAndVisible];

}

- (void)dealloc {
    [window release];
    [super dealloc];
}


@end
